import java.util.*;
class SortierteZahlenListe {
  /** Methode zur Ausgabe der Listenelemente */
  public static void printList(List l) {
    System.out.println("Die Liste enthaelt die Elemente");
    for (Iterator i = l.iterator(); i.hasNext(); )
      System.out.print(i.next() + "   ");
    System.out.println();
    System.out.println();
  }

  /** Aufbau und Modifikation einer Liste */
  public static void main(String[] args) {
    List<Double> l = new ArrayList<Double>();
    l.add(new Double(2.2));
    l.add(new Double(1.1));
    l.add(new Double(3.3));
    l.add(new Double(0.0));
    l.add(new Double(7.7));
    l.add(new Double(3.3));
    printList(l);
    Collections.sort(l);
    printList(l);
    System.out.println("Index des Elements mit Wert 0.0: " +
                       Collections.binarySearch(l, new Double(0.0)));
    System.out.println("Index des Elements mit Wert 2.2: " +
                       Collections.binarySearch(l, new Double(2.2)));
    System.out.println("Index des Elements mit Wert 5.5: " +
                       Collections.binarySearch(l, new Double(5.5)));
  }
}

